/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER
 * Version: 2.0
 */

using NUnit.Framework;

namespace TopCoder.Web.UI.WebControl.BreadCrumb
{
    /// <summary>
    /// This tests <see cref="BreadCrumbTrailControlDesigner"/>, intended to be used by the IDE (Visual Studio) at
    /// design time.
    /// </summary>
    [TestFixture]
    public class TestBreadCrumbTrailControlDesigner
    {
        /// <summary>
        /// The class only emits static HTML. Check that material, no more, no less.
        /// </summary>
        [Test]
        public void TestHtml()
        {
            Assert.AreEqual("Root<span>:</span>Level 1<span>:</span>Level 2",
                new BreadCrumbTrailControlDesigner().GetDesignTimeHtml(),
                "Static HTML returned incorrectly.");
        }
    }
}
