/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER
 * Version: 2.0
 */

using System.IO;
using System.Runtime.Serialization;

namespace TopCoder.Web.UI.WebControl.BreadCrumb
{
    /// <summary>
    /// A helper with a method used by several test fixtures.
    /// </summary>
    public class Helper
    {
        /// <summary>
        /// Used for testing (de)serialization.
        /// </summary>
        /// <param name="obj">The object to serialize and then deserialize</param>
        /// <returns>The deserialized object</returns>
        public static object DeSerialize(object obj)
        {
            IFormatter formatter = new System.Runtime.Serialization.Formatters.Binary.BinaryFormatter();
            MemoryStream stream = new MemoryStream();
            formatter.Serialize(stream, obj);
            stream.Seek(0, SeekOrigin.Begin);
            return formatter.Deserialize(stream);
        }
    }
}
